Get consultation
curl --request GET \
--url https://apim.doctorassistant.ai/api/sandbox/consultations/{DAAI_CONSULTATION_ID} \
--header 'x-daai-api-key: <api-key>'import requests
url = "https://apim.doctorassistant.ai/api/sandbox/consultations/{DAAI_CONSULTATION_ID}"
headers = {"x-daai-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-daai-api-key': '<api-key>'}};
fetch('https://apim.doctorassistant.ai/api/sandbox/consultations/{DAAI_CONSULTATION_ID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "s0q0ud3fi1d9kcwjrt8vs50n",
"transcription": "The patient came to me for the first consultation on July 23, 2024, with a history, a pre-Greek pathological history and current fibromyalgia.",
"recording": {
"duration": 12,
"url": "https://storage.googleapis.com/doctor-assistant-consultations-stage/patients/unidentified/consultations/s0q0ud3fi1d9kcwjrt8vs50n/recordings/uh6iy80wogqnnnyvrdpk59k3-optimized.mp3"
},
"report": {
"specialty": "generic",
"content": {
"icd_json": {
"assessment": {
"content": {
"description": {
"title": "<string>",
"content": [
{
"icd": [
"<string>"
],
"content": "<string>"
}
]
}
}
}
},
"summary_json_pt": {},
"medicalPrescription": {
"medications": {
"title": "<string>",
"content": [
{
"dose": "<string>",
"name": "<string>",
"usage": "<string>",
"possible_medications_anvisa": [
{}
]
}
]
}
}
},
"metadata": {}
}
}{
"message": "Unauthorized",
"statusCode": 401
}{
"message": "Consultation not found",
"error": "Not Found",
"statusCode": 404
}Consultations
Get consultation
Returns the details of a specific consultation, including transcription, recording and structured medical report.
GET
/
consultations
/
{DAAI_CONSULTATION_ID}
Get consultation
Authorizations
API key for authentication
Path Parameters
Response
Consultation details
Consultation ID
Example:
"s0q0ud3fi1d9kcwjrt8vs50n"
Consultation audio transcription
Example:
"The patient came to me for the first consultation on July 23, 2024, with a history, a pre-Greek pathological history and current fibromyalgia."
Recording information
Show child attributes
Show child attributes
Consultation report
Show child attributes
Show child attributes
⌘I